#
# spec file for package xdmsc (Version 0.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         xdmsc
Copyright:    1997-2000 SuSE GmbH, Nuernberg
Group:        X11/Terminals
Provides:     Xterminal 
Requires:     xf86
Autoreqprov:  on
Version:      0.3
Release:      145
Summary:      Xterminal -- Use SuSE Linux as an X terminal
Source: Xterminal-0.3.tar.gz
Patch: Xterminal-0.3.dif

%description
Some useful scripts for using SuSE Linux as an X terminal.
You will find the documentation in the following directory
/usr/share/doc/packages/xdmsc/

Authors:
--------
    Werner Fink <werner@suse.de>

SuSE series: x

%prep
%setup -n Xterminal-0.3
%patch

%build
    make -f Makefile.Linux compile

%install
    make -f Makefile.Linux install
    Check

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.xdmsc
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.xdmsc and"
  echo "update by hand."
fi

%files
%doc README
%config /etc/init.d/rx
/var/adm/fillup-templates/rc.config.xdmsc

%changelog -n xdmsc
* Fri Dec 08 2000 - kukuk@suse.de
- Move sbin/init.d -> etc/init.d
* Mon Sep 04 2000 - werner@suse.de
- Update to version 0.3
  * Use version of X server before using options
* Mon Jun 05 2000 - ro@suse.de
- doc relocation
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 06 1998 - werner@suse.de
- New release: Now only clients (e.g. xterminals) are supported.
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Wed Apr 16 1997 - werner@suse.de
- New package for xdm server and clients.
- After configuratiuon ist is possible to start out of
  /etc/inittab for calling a chosser menu or a xdm window
  from a xdm server.
- Usefull scripts to have a xdm server under S.u.S.E. Linux.
